跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:Photransa/newstyle.css

模板页面
/* 按钮 */
.photrans-button {
	display: flow-root;
	margin-bottom: 0.5em;
}
.photrans-button > div {
	position: relative;
	width: calc(4em + 2ch);
	height: 1em;
	line-height: 1;
}
.photrans-button > div > span {
	position: absolute;
	top: 0;
	width: 100%;
}
.photrans-button .mw-collapsed {
	display: none; /* 移动版提前加载样式 */
}

/* 歌词 */
.photrans-button ~ .Lyrics ruby,
.photrans-button ~ .Tabs .Lyrics ruby {
	white-space: normal; /* Safari */
}
.photrans-button ~ .Lyrics rt,
.photrans-button ~ .Tabs .Lyrics rt {
	font-size: 0.75em;
	font-feature-settings: normal;
	-webkit-user-select: none;
	user-select: none;
}
.photrans-button ~ .Lyrics ruby > span,
.photrans-button ~ .Tabs .Lyrics ruby > span {
	display: inline-block;
	font-size: 0;
	width: 0;
}

/* 开关注音 */
.photrans-button + .mw-collapsed ~ .Lyrics rb span,
.photrans-button + .mw-collapsed ~ .Tabs .Lyrics rb span {
	letter-spacing: 0 !important;
	margin-left: 0 !important;
}
.photrans-button + .mw-collapsed ~ .Lyrics rt > span:first-child,
.photrans-button + .mw-collapsed ~ .Tabs .Lyrics rt > span:first-child,
.photrans-off {
	font-size: 0;
}
.photrans-s {
	visibility: hidden;
	font-size: 1.333em;
}
.mw-collapsed ~ .Lyrics .photrans-off {
	font-size: 1em;
}
/* [[Category:在模板命名空间下的CSS页面]] */